﻿using newCalc;
using display;
class Program
{
    static void Main()
    {
        Console.WriteLine("Testing NewCalc:");
        TestNewCalc();  
    }

    static void TestNewCalc() // test af vores calculator 
    {
        var calcInvoker = new CalcInvoker();
        var calculator = new Calc();
        Console.WriteLine($"Start Value: {calcInvoker.DisplayValue}");

        calcInvoker.executeCommand(new AddCommand(10.0, calculator));
        Console.WriteLine($"After Add: {calcInvoker.DisplayValue}");

        calcInvoker.executeCommand(new subtractCommand(5.0, calculator));
        Console.WriteLine($"After subtract: {calcInvoker.DisplayValue}");

        calcInvoker.executeCommand(new MultiplyCommand(100.0, calculator));
        Console.WriteLine($"After Multiply: {calcInvoker.DisplayValue}");

        calcInvoker.executeCommand(new DivideCommand(10.0, calculator));
        Console.WriteLine($"After Divide: {calcInvoker.DisplayValue}");

        calcInvoker.undoCommand();
        Console.WriteLine($"After Undo: {calcInvoker.DisplayValue}");

        calcInvoker.undoCommand();
        Console.WriteLine($"After Undo: {calcInvoker.DisplayValue}");

        calcInvoker.undoCommand();
        Console.WriteLine($"After Undo: {calcInvoker.DisplayValue}");

        calcInvoker.undoCommand();
        Console.WriteLine($"After Undo: {calcInvoker.DisplayValue}");
    }
}


